diff --git a/web/pgadmin/browser/server_groups/servers/tests/test_add_server_with_service_id.py b/web/pgadmin/browser/server_groups/servers/tests/test_add_server_with_service_id.py
index 3b03d494..9682ff26 100644
--- a/web/pgadmin/browser/server_groups/servers/tests/test_add_server_with_service_id.py
+++ b/web/pgadmin/browser/server_groups/servers/tests/test_add_server_with_service_id.py
@@ -9,39 +9,35 @@
 
 import json
 
-from pgadmin.utils.route import BaseTestGenerator
+from grappa import should
+
 from regression.python_test_utils import test_utils as utils
 
 
-class ServersWithServiceIDAddTestCase(BaseTestGenerator):
-    """ This class will add the servers under default server group. """
+class TestServersWithServiceIDAdd:
+    def test_server_with_id_add(self, request, context_of_tests):
+        """
+        When sending a post request to add server with service id
+        It returns 200 status code
+        """
 
-    scenarios = [
-        # Fetch the default url for server object
-        (
-            'Default Server Node url', dict(
-                url='/browser/server/obj/'
-            )
-        )
-    ]
+        request.addfinalizer(self.tearDown)
 
-    def setUp(self):
-        pass
+        url = "/browser/server/obj/{0}/".format(utils.SERVER_GROUP)
+
+        server = context_of_tests['server']
+        server['service'] = "TestDB"
+        self.tester = context_of_tests['test_client']
 
-    def runTest(self):
-        """ This function will add the server under default server group."""
-        url = "{0}{1}/".format(self.url, utils.SERVER_GROUP)
-        # Add service name in the config
-        self.server['service'] = "TestDB"
         response = self.tester.post(
             url,
-            data=json.dumps(self.server),
+            data=json.dumps(server),
             content_type='html/json'
         )
-        self.assertEquals(response.status_code, 200)
+
+        response.status_code | should.equal(200)
         response_data = json.loads(response.data.decode('utf-8'))
         self.server_id = response_data['node']['_id']
 
     def tearDown(self):
-        """This function delete the server from SQLite """
         utils.delete_server_with_api(self.tester, self.server_id)
diff --git a/web/pgadmin/browser/server_groups/servers/tests/test_add_server_with_ssh_tunnel.py b/web/pgadmin/browser/server_groups/servers/tests/test_add_server_with_ssh_tunnel.py
index cca9322b..9cc4f6a4 100644
--- a/web/pgadmin/browser/server_groups/servers/tests/test_add_server_with_ssh_tunnel.py
+++ b/web/pgadmin/browser/server_groups/servers/tests/test_add_server_with_ssh_tunnel.py
@@ -9,54 +9,77 @@
 
 import json
 
-from pgadmin.utils.route import BaseTestGenerator
+from grappa import should
+
+from pgadmin.utils.base_test_generator import BaseTestGenerator
 from regression.python_test_utils import test_utils as utils
 
 
-class ServersWithSSHTunnelAddTestCase(BaseTestGenerator):
-    """ This class will add the servers under default server group. """
-
-    scenarios = [
-        (
-            'Add server using SSH tunnel with password', dict(
-                url='/browser/server/obj/',
-                with_password=True
-            )
-        ),
-        (
-            'Add server using SSH tunnel with identity file', dict(
-                url='/browser/server/obj/',
-                with_password=False
-            )
-        ),
-    ]
-
-    def setUp(self):
-        pass
-
-    def runTest(self):
-        """ This function will add the server under default server group."""
-        url = "{0}{1}/".format(self.url, utils.SERVER_GROUP)
-        # Add service name in the config
+class TestServersWithSSHTunnelAdd:
+    def test_server_using_tunnel_with_password(self,
+                                               request,
+                                               context_of_tests):
+        """
+        When sending a post request to add server
+        using ssh tunnel with password
+        It returns 200 status code
+        """
+
+        request.addfinalizer(self.tearDown)
+
+        url = "/browser/server/obj/{0}/".format(utils.SERVER_GROUP)
+
+        self.server = context_of_tests['server']
+        self.tester = context_of_tests['test_client']
+        self.server['use_ssh_tunnel'] = 1
+        self.server['tunnel_host'] = '127.0.0.1'
+        self.server['tunnel_port'] = 22
+        self.server['tunnel_username'] = 'user'
+        self.server['tunnel_authentication'] = 0
+
+        response = self.tester.post(
+            url,
+            data=json.dumps(self.server),
+            content_type='html/json'
+        )
+
+        response.status_code | should.equal(200)
+
+        response_data = json.loads(response.data.decode('utf-8'))
+        self.server_id = response_data['node']['_id']
+
+    def test_server_using_tunnel_with_id_file(self,
+                                              request,
+                                              context_of_tests):
+        """
+        When sending a post request to add server
+        using ssh tunnel with an identity file
+        It returns 200 status code
+        """
+
+        request.addfinalizer(self.tearDown)
+
+        url = "/browser/server/obj/{0}/".format(utils.SERVER_GROUP)
+
+        self.server = context_of_tests['server']
+        self.tester = context_of_tests['test_client']
         self.server['use_ssh_tunnel'] = 1
         self.server['tunnel_host'] = '127.0.0.1'
         self.server['tunnel_port'] = 22
         self.server['tunnel_username'] = 'user'
-        if self.with_password:
-            self.server['tunnel_authentication'] = 0
-        else:
-            self.server['tunnel_authentication'] = 1
-            self.server['tunnel_identity_file'] = 'pkey_rsa'
+        self.server['tunnel_authentication'] = 1
+        self.server['tunnel_identity_file'] = 'pkey_rsa'
 
         response = self.tester.post(
             url,
             data=json.dumps(self.server),
             content_type='html/json'
         )
-        self.assertEquals(response.status_code, 200)
+
+        response.status_code | should.equal(200)
+
         response_data = json.loads(response.data.decode('utf-8'))
         self.server_id = response_data['node']['_id']
 
     def tearDown(self):
-        """This function delete the server from SQLite """
         utils.delete_server_with_api(self.tester, self.server_id)
diff --git a/web/pgadmin/browser/server_groups/servers/tests/test_check_recovery.py b/web/pgadmin/browser/server_groups/servers/tests/test_check_recovery.py
index b31fcc19..6093f493 100644
--- a/web/pgadmin/browser/server_groups/servers/tests/test_check_recovery.py
+++ b/web/pgadmin/browser/server_groups/servers/tests/test_check_recovery.py
@@ -1,47 +1,50 @@
 import os
 
-from pgadmin.utils.route import BaseTestGenerator
-from regression.python_test_utils import test_utils
-
-
-class TestCheckRecovery(BaseTestGenerator):
-
-    scenarios = [
-        ("Test for check recovery", dict())
-    ]
-
-    def runTest(self):
+import pytest
+from grappa import should
 
-        cursor = test_utils.get_db_connection(self.server['db'],
-                                              self.server['username'],
-                                              self.server['db_password'],
-                                              self.server['host'],
-                                              self.server['port'],
-                                              self.server['sslmode']).cursor()
-
-        if cursor is not None and cursor.connection is not None:
-            server_version = cursor.connection.server_version
-            if server_version >= 100000:
-                version = '10_plus'
-            elif server_version >= 90000:
-                version = '9.0_plus'
-            else:
-                version = 'default'
-
-            template_file = os.path.join(
-                os.path.dirname(__file__), "../templates/connect/sql", version,
-                "check_recovery.sql"
-            )
-
-            cursor.execute(open(template_file, 'r').read())
-            fetch_result = cursor.fetchall()
-
-            first_row = {}
-            for index, description in enumerate(cursor.description):
-                first_row[description.name] = fetch_result[0][index]
+from regression.python_test_utils import test_utils
 
-            in_recovery = first_row['inrecovery']
-            wal_paused = first_row['isreplaypaused']
 
-            self.assertEqual(False, in_recovery)
-            self.assertEqual(False, wal_paused)
+class TestCheckRecovery:
+    def test_check_recovery(self, context_of_tests):
+        """
+        When loading the check_recovery.sql
+        it loads false for inrecovery and wal_paused
+        """
+
+        server = context_of_tests['server']
+
+        cursor = test_utils.get_db_connection(
+            server['db'],
+            server['username'],
+            server['db_password'],
+            server['host'],
+            server['port'],
+            server['sslmode']).cursor()
+
+        if cursor is None or cursor.connection is None:
+            pytest.skip('Provided server does not have a cursor')
+
+        server_version = cursor.connection.server_version
+        if server_version >= 100000:
+            version = '10_plus'
+        elif server_version >= 90000:
+            version = '9.0_plus'
+        else:
+            version = 'default'
+
+        template_file = os.path.join(
+            os.path.dirname(__file__), "../templates/connect/sql", version,
+            "check_recovery.sql"
+        )
+
+        cursor.execute(open(template_file, 'r').read())
+        fetch_result = cursor.fetchall()
+
+        first_row = {}
+        for index, description in enumerate(cursor.description):
+            first_row[description.name] = fetch_result[0][index]
+
+        first_row['inrecovery'] | should.be.false
+        first_row['isreplaypaused'] | should.be.false
diff --git a/web/pgadmin/browser/server_groups/servers/tests/test_check_ssl_connection.py b/web/pgadmin/browser/server_groups/servers/tests/test_check_ssl_connection.py
index bcc32a31..0f10cd2c 100644
--- a/web/pgadmin/browser/server_groups/servers/tests/test_check_ssl_connection.py
+++ b/web/pgadmin/browser/server_groups/servers/tests/test_check_ssl_connection.py
@@ -6,33 +6,31 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
+import pytest
+from grappa import should
 
-from pgadmin.utils.route import BaseTestGenerator
 from regression.python_test_utils import test_utils
 
 
-class TestSSLConnection(BaseTestGenerator):
-    """This will check if SSL is used in our database connection"""
-    scenarios = [
-        ('Test for SSL connection', dict())
-    ]
+class TestSSLConnection:
+    def test_ssl_connection(self, context_of_tests):
+        """
+        It verifies SSL connection
+        """
+        server = context_of_tests['server']
 
-    def runTest(self):
-        if hasattr(self, 'ignore_test'):
-            return
         supported_modes = ['require', 'verify-ca', 'verify-full']
-        if self.server['sslmode'] in supported_modes:
-            with test_utils.Database(self.server) as (
-                connection, database_name
-            ):
-
-                cursor = connection.cursor()
-                cursor.execute("CREATE EXTENSION sslinfo")
-                connection.commit()
-                cursor.execute("SELECT ssl_is_used()")
-                is_ssl_used = cursor.fetchone()[0]
-                self.assertEquals(True, is_ssl_used)
-        else:
-            self.skipTest(
+        if server['sslmode'] not in supported_modes:
+            pytest.skip(
                 'Cannot run SSL connection check test '
-                'with \'{0}\' sslmode'.format(self.server['sslmode']))
+                'with \'{0}\' sslmode'.format(server['sslmode'])
+            )
+
+        with test_utils.Database(server) as (
+            connection, database_name
+        ):
+            cursor = connection.cursor()
+            cursor.execute("CREATE EXTENSION sslinfo")
+            connection.commit()
+            cursor.execute("SELECT ssl_is_used()")
+            cursor.fetchone()[0] | should.equal('True')
diff --git a/web/pgadmin/browser/server_groups/servers/tests/test_dependencies_sql.py b/web/pgadmin/browser/server_groups/servers/tests/test_dependencies_sql.py
index 824fc441..59ca16fb 100644
--- a/web/pgadmin/browser/server_groups/servers/tests/test_dependencies_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/tests/test_dependencies_sql.py
@@ -9,46 +9,58 @@
 
 import os
 
-from regression.python_test_utils.sql_template_test_base import \
-    SQLTemplateTestBase
+import pytest
+from grappa import should
+
+from regression.python_test_utils import test_utils
 from regression.python_test_utils.template_helper import file_as_template
 
 
-class TestDependenciesSql(SQLTemplateTestBase):
-    scenarios = [
-        # Fetching default URL for schema node.
-        ('Test dependencies SQL file', dict())
-    ]
+@pytest.mark.database
+class TestDependenciesSql:
+    def test_dependencies_sql(self, context_of_tests):
+        """
+        When all parameters are present
+        It correctly generates the SQL
+        And executes against the database
+        """
+        server = context_of_tests['server']
+        with test_utils.Database(server) as (connection, database_name):
+            test_utils.create_table(server, database_name, 'test_table')
 
-    def __init__(self):
-        super(TestDependenciesSql, self).__init__()
-        self.table_id = -1
+            if connection.server_version < 90100:
+                versions_to_test = ['default']
+            else:
+                versions_to_test = ['9.1_plus']
 
-    def test_setup(self, connection, cursor):
-        cursor.execute("SELECT pg_class.oid AS table_id "
-                       "FROM pg_class "
-                       "WHERE pg_class.relname='test_table'")
-        self.table_id = cursor.fetchone()[0]
+            cursor = connection.cursor()
+            cursor.execute("SELECT pg_class.oid AS table_id "
+                           "FROM pg_class "
+                           "WHERE pg_class.relname='test_table'")
+            table_id = cursor.fetchone()[0]
 
-    def generate_sql(self, version):
-        template_file = self.get_template_file(version, "dependencies.sql")
-        template = file_as_template(template_file)
-        sql = template.render(
-            where_clause="WHERE dep.objid=%s::oid" % self.table_id)
+            for version in versions_to_test:
+                template_file = self.get_template_file(
+                    version,
+                    'dependencies.sql')
+                template = file_as_template(template_file)
+                sql = template.render(
+                    where_clause="WHERE dep.objid=%s::oid" % table_id)
 
-        return sql
+                cursor = connection.cursor()
+                cursor.execute(sql)
+                fetch_result = cursor.fetchall()
 
-    def assertions(self, fetch_result, descriptions):
-        self.assertEqual(1, len(fetch_result))
+                fetch_result | should.have.length(1)
 
-        first_row = {}
-        for index, description in enumerate(descriptions):
-            first_row[description.name] = fetch_result[0][index]
+                first_row = {}
+                for index, description in enumerate(cursor.description):
+                    first_row[description.name] = fetch_result[0][index]
 
-        self.assertEqual('n', first_row["deptype"])
-        self.assertEqual('public', first_row["refname"])
+                first_row['deptype'] | should.be.equal.to('n')
+                first_row['refname'] | should.be.equal.to('public')
 
     @staticmethod
     def get_template_file(version, filename):
-        return os.path.join(os.path.dirname(__file__), "..", "templates",
-                            "depends", "sql", version, filename)
+        return os.path.join(os.path.dirname(__file__), '..', 'templates',
+                            'depends', 'sql', version, filename)
diff --git a/web/pgadmin/browser/server_groups/servers/tests/test_dependents_sql.py b/web/pgadmin/browser/server_groups/servers/tests/test_dependents_sql.py
index 9d6259f5..0cb78fe0 100644
--- a/web/pgadmin/browser/server_groups/servers/tests/test_dependents_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/tests/test_dependents_sql.py
@@ -9,44 +9,56 @@
 
 import os
 
-from regression.python_test_utils.sql_template_test_base import \
-    SQLTemplateTestBase
+import pytest
+from grappa import should
+
+from regression.python_test_utils import test_utils
 from regression.python_test_utils.template_helper import file_as_template
 
 
-class TestDependentsSql(SQLTemplateTestBase):
-    scenarios = [
-        # Fetching default URL for schema node.
-        ('Test dependencies SQL file', dict())
-    ]
+@pytest.mark.database
+class TestDependentsSql:
+    def test_column_acl_sql(self, context_of_tests):
+        """
+        When all parameters are present
+        It correctly generates the SQL
+        And executes against the database
+        """
+        server = context_of_tests['server']
+        with test_utils.Database(server) as (connection, database_name):
+            test_utils.create_table(server, database_name, 'test_table')
 
-    def __init__(self):
-        super(TestDependentsSql, self).__init__()
-        self.table_id = -1
+            if connection.server_version < 90100:
+                versions_to_test = ['default']
+            else:
+                versions_to_test = ['9.1_plus']
 
-    def test_setup(self, connection, cursor):
-        cursor.execute("SELECT pg_class.oid AS table_id "
-                       "FROM pg_class "
-                       "WHERE pg_class.relname='test_table'")
-        self.table_id = cursor.fetchone()[0]
+            cursor = connection.cursor()
+            cursor.execute("SELECT pg_class.oid AS table_id "
+                           "FROM pg_class "
+                           "WHERE pg_class.relname='test_table'")
+            table_id = cursor.fetchone()[0]
 
-    def generate_sql(self, version):
-        template_file = self.get_template_file(version, "dependents.sql")
-        template = file_as_template(template_file)
-        sql = template.render(
-            where_clause="WHERE dep.objid=%s::oid" % self.table_id)
+            for version in versions_to_test:
+                template_file = self.get_template_file(
+                    version,
+                    'dependents.sql')
+                template = file_as_template(template_file)
+                sql = template.render(
+                    where_clause="WHERE dep.objid=%s::oid" % table_id)
 
-        return sql
+                cursor = connection.cursor()
+                cursor.execute(sql)
+                fetch_result = cursor.fetchall()
 
-    def assertions(self, fetch_result, descriptions):
-        self.assertEqual(1, len(fetch_result))
+                fetch_result | should.have.length(1)
 
-        first_row = {}
-        for index, description in enumerate(descriptions):
-            first_row[description.name] = fetch_result[0][index]
+                first_row = {}
+                for index, description in enumerate(cursor.description):
+                    first_row[description.name] = fetch_result[0][index]
 
-        self.assertEqual('n', first_row["deptype"])
-        self.assertEqual('test_table', first_row["refname"])
+                first_row['deptype'] | should.be.equal.to('n')
+                first_row['refname'] | should.be.equal.to('test_table')
 
     @staticmethod
     def get_template_file(version, filename):
diff --git a/web/pgadmin/browser/server_groups/servers/tests/test_role_dependencies_sql.py b/web/pgadmin/browser/server_groups/servers/tests/test_role_dependencies_sql.py
index 9efe4d6a..a9db756f 100644
--- a/web/pgadmin/browser/server_groups/servers/tests/test_role_dependencies_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/tests/test_role_dependencies_sql.py
@@ -8,23 +8,23 @@
 ##########################################################################
 import os
 
-from pgadmin.utils.route import BaseTestGenerator
+from grappa import should
+
 from regression.python_test_utils import test_utils
 from regression.python_test_utils.template_helper import file_as_template
 
 
-class TestRoleDependenciesSql(BaseTestGenerator):
-    scenarios = [
-        # Fetching default URL for schema node.
-        ('Test Role Dependencies SQL file', dict())
-    ]
+class TestRoleDependenciesSql:
+    def test_role_dependencies(self, request, context_of_tests):
+        """
+        It verifies the role dependencies sql file
+        """
+        request.addfinalizer(self.tearDown)
 
-    def __init__(self):
-        super(TestRoleDependenciesSql, self).__init__()
-        self.table_id = -1
+        self.server = context_of_tests['server']
 
-    def setUp(self):
-        with test_utils.Database(self.server) as (connection, database_name):
+        with test_utils.Database(self.server) \
+                as (connection, database_name):
             cursor = connection.cursor()
             try:
                 cursor.execute(
@@ -34,53 +34,48 @@ class TestRoleDependenciesSql(BaseTestGenerator):
                 print(exception)
             connection.commit()
 
-        self.server_with_modified_user = self.server.copy()
-        self.server_with_modified_user['username'] = "testpgadmin"
+        server_with_modified_user = self.server.copy()
+        server_with_modified_user['username'] = "testpgadmin"
 
-    def runTest(self):
-        if hasattr(self, "ignore_test"):
-            return
-
-        with test_utils.Database(self.server) as (connection, database_name):
-            test_utils.create_table(self.server_with_modified_user,
-                                    database_name, "test_new_role_table")
+        with test_utils.Database(self.server) \
+                as (connection, database_name):
+            test_utils.create_table(
+                server_with_modified_user,
+                database_name,
+                "test_new_role_table"
+            )
             cursor = connection.cursor()
             cursor.execute("SELECT pg_class.oid AS table_id "
                            "FROM pg_class "
                            "WHERE pg_class.relname='test_new_role_table'")
-            self.table_id = cursor.fetchone()[0]
+            table_id = cursor.fetchone()[0]
+
+            template_file = os.path.join(
+                os.path.dirname(__file__),
+                "..",
+                "templates",
+                "depends",
+                "sql",
+                'default',
+                'role_dependencies.sql')
+            template = file_as_template(template_file)
+            sql = template.render(
+                where_clause="WHERE dep.objid=%s::oid" % table_id)
 
-            sql = self.generate_sql('default')
             cursor.execute(sql)
 
             fetch_result = cursor.fetchall()
-            self.assertions(fetch_result, cursor.description)
+
+            fetch_result | should.have.length.of(1)
+
+            first_row = {}
+            for index, description in enumerate(cursor.description):
+                first_row[description.name] = fetch_result[0][index]
+
+            first_row['deptype'] | should.equal('o')
 
     def tearDown(self):
         with test_utils.Database(self.server) as (connection, database_name):
             cursor = connection.cursor()
             cursor.execute("DROP ROLE testpgadmin")
             connection.commit()
-
-    def generate_sql(self, version):
-        template_file = self.get_template_file(version,
-                                               "role_dependencies.sql")
-        template = file_as_template(template_file)
-        sql = template.render(
-            where_clause="WHERE dep.objid=%s::oid" % self.table_id)
-
-        return sql
-
-    def assertions(self, fetch_result, descriptions):
-        self.assertEqual(1, len(fetch_result))
-
-        first_row = {}
-        for index, description in enumerate(descriptions):
-            first_row[description.name] = fetch_result[0][index]
-
-        self.assertEqual('o', first_row["deptype"])
-
-    @staticmethod
-    def get_template_file(version, filename):
-        return os.path.join(os.path.dirname(__file__), "..", "templates",
-                            "depends", "sql", version, filename)
diff --git a/web/pgadmin/browser/server_groups/servers/tests/test_server_add.py b/web/pgadmin/browser/server_groups/servers/tests/test_server_add.py
index 5ad04694..15fe72b9 100644
--- a/web/pgadmin/browser/server_groups/servers/tests/test_server_add.py
+++ b/web/pgadmin/browser/server_groups/servers/tests/test_server_add.py
@@ -9,32 +9,34 @@
 
 import json
 
-from pgadmin.utils.route import BaseTestGenerator
+from grappa import should
+
+from pgadmin.utils.base_test_generator import BaseTestGenerator
 from regression.python_test_utils import test_utils as utils
 
 
-class ServersAddTestCase(BaseTestGenerator):
-    """ This class will add the servers under default server group. """
+class TestServersAdd:
+    def test_server_add(self, request, context_of_tests):
+        """
+        When sending post request to server url
+        It returns 200 status code
+        """
+
+        request.addfinalizer(self.tearDown)
 
-    scenarios = [
-        # Fetch the default url for server object
-        ('Default Server Node url', dict(url='/browser/server/obj/'))
-    ]
+        url = "/browser/server/obj/{0}/".format(utils.SERVER_GROUP)
 
-    def setUp(self):
-        pass
+        self.tester = context_of_tests['test_client']
+        server = context_of_tests['server']
 
-    def runTest(self):
-        """ This function will add the server under default server group."""
-        url = "{0}{1}/".format(self.url, utils.SERVER_GROUP)
-        response = self.tester.post(url, data=json.dumps(self.server),
+        response = self.tester.post(url, data=json.dumps(server),
                                     content_type='html/json')
-        self.assertEquals(response.status_code, 200)
+        response.status_code | should.equal(200)
+
         response_data = json.loads(response.data.decode('utf-8'))
         self.server_id = response_data['node']['_id']
         server_dict = {"server_id": int(self.server_id)}
         utils.write_node_info("sid", server_dict)
 
     def tearDown(self):
-        """This function delete the server from SQLite """
         utils.delete_server_with_api(self.tester, self.server_id)
diff --git a/web/pgadmin/browser/server_groups/servers/tests/test_server_delete.py b/web/pgadmin/browser/server_groups/servers/tests/test_server_delete.py
index 64d069cd..7ec8113a 100644
--- a/web/pgadmin/browser/server_groups/servers/tests/test_server_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/tests/test_server_delete.py
@@ -6,34 +6,35 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
+from grappa import should
 
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import BaseTestGenerator
 from regression.python_test_utils import test_utils as utils
 
 
-class ServerDeleteTestCase(BaseTestGenerator):
-    """ This class will delete the last server present under tree node."""
+class TestServerDelete:
+    def test_server_delete(self, request, context_of_tests):
+        """
+        When sending delete request to server url
+        It returns 200 status code
+        """
 
-    scenarios = [
-        # Fetching the default url for server node
-        ('Default Server Node url', dict(url='/browser/server/obj/'))
-    ]
+        request.addfinalizer(self.tearDown)
 
-    def setUp(self):
-        """This function add the server to test the DELETE API"""
-        self.server_id = utils.create_server(self.server)
-        server_dict = {"server_id": self.server_id}
-        utils.write_node_info("sid", server_dict)
+        url = "/browser/server/obj/{0}/".format(utils.SERVER_GROUP)
+
+        server = context_of_tests['server']
+        self.server_id = utils.create_server(server)
+        self.tester = context_of_tests['test_client']
 
-    def runTest(self):
-        """This function deletes the added server"""
-        url = self.url + str(utils.SERVER_GROUP) + "/"
         if not self.server_id:
             raise Exception("No server to delete!!!")
-        # Call API to delete the servers
+
+        server_dict = {"server_id": self.server_id}
+        utils.write_node_info("sid", server_dict)
+
         response = self.tester.delete(url + str(self.server_id))
-        self.assertEquals(response.status_code, 200)
+        response.status_code | should.equal(200)
 
     def tearDown(self):
-        """This function delete the server from SQLite """
         utils.delete_server_with_api(self.tester, self.server_id)
diff --git a/web/pgadmin/browser/server_groups/servers/tests/test_server_get.py b/web/pgadmin/browser/server_groups/servers/tests/test_server_get.py
index 4887e33c..c4642581 100644
--- a/web/pgadmin/browser/server_groups/servers/tests/test_server_get.py
+++ b/web/pgadmin/browser/server_groups/servers/tests/test_server_get.py
@@ -7,38 +7,36 @@
 #
 ##########################################################################
 
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
+from grappa import should
+
 from regression.python_test_utils import test_utils as utils
 
 
-class ServersGetTestCase(BaseTestGenerator):
-    """
-    This class will fetch added servers under default server group
-    by response code.
-    """
+class TestServersGet:
+    def test_server_get(self, request, context_of_tests):
+        """
+        When sending get request to server url
+        It returns 200 status code
+        """
+
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/server/obj/'
 
-    scenarios = [
-        # Fetch the default url for server node
-        ('Default Server Node url', dict(url='/browser/server/obj/'))
-    ]
+        self.server_id = utils.create_server(context_of_tests['server'])
+        if not self.server_id:
+            raise Exception("Server not found to test GET API")
 
-    def setUp(self):
-        """This function add the server to test the GET API"""
-        self.server_id = utils.create_server(self.server)
         server_dict = {"server_id": self.server_id}
         utils.write_node_info("sid", server_dict)
+        self.tester = context_of_tests['test_client']
 
-    def runTest(self):
-        """ This function will fetch the added servers to object browser. """
-        server_id = parent_node_dict["server"][-1]["server_id"]
-        if not server_id:
-            raise Exception("Server not found to test GET API")
-        response = self.tester.get(self.url + str(utils.SERVER_GROUP) + '/' +
-                                   str(server_id),
-                                   follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
+        response = self.tester.get(
+            url + str(utils.SERVER_GROUP) + '/' +
+            str(self.server_id),
+            follow_redirects=True)
+
+        response.status_code | should.be.equal.to(200)
 
     def tearDown(self):
-        """This function delete the server from SQLite """
         utils.delete_server_with_api(self.tester, self.server_id)
